Description

Associated revisions

Revision 45 - 02/05/2017 01:27 AM - lmurphey

Adding status reporting of hosts to the WoL dashboard

Closes #1723

History

#1 - 02/03/2017 06:34 PM - Luke Murphey

https://www.iconfinder.com/icons/80980/server_icon#size=16

#2 - 02/03/2017 06:35 PM - Luke Murphey

https://www.iconfinder.com/icons/782526/desktop_monitor_pc_screen_icon#size=24

#3 - 02/04/2017 08:20 PM - Luke Murphey

- Subject changed from Display host up or down status to Display host up or down status on Wake-on-LAN dashboard

- Parent task deleted (#1717)

#4 - 02/04/2017 08:27 PM - Luke Murphey

I think I'm going to make a data structure that contains the current up/down status. This will be updated every once in a while and it will include the

capability to find the related icons on the page and update them accordingly.

#5 - 02/05/2017 12:07 AM - Luke Murphey

Might want to use WebWorkers.

http://www.w3schools.com/html/tryit.asp?filename=tryhtml5_webworker

The problem with my current implementation is that I cannot control the number of pingers. Thus, I cannot have only one running at a time (unless I

use a sync call but that still seems to hang the main thread, even when used with setInterval).

#6 - 02/05/2017 01:28 AM - Anonymous

- Status changed from New to Closed

- % Done changed from 0 to 100

Applied in changeset splunk-network-tools-svn|r45.
